/* CLASSPVOC: phase vocoder instrument
*
*	-------> modified in brad's Computer Music class to show
*		where/how to muck around with the FFT analysis
*
*  p0 = outskip
*  p1 = inskip
*  p2 = dur
*  p3 = amp
*  p4 = input channel
*  p5 = fft size
*  p6 = window size -- must be bigger than p5, and interacts with p8
*  p7 = decimation amount (readin)
*  p8 = interpolation amount (putout) -- multiply this for time stretch
*  p9 = pitch multiplier -- 0 does ifft, 1.0 does obank
*  p10 = npoles -- ?
*  p11 = threshold value for obank
*
*/

rtsetparams(44100, 1, 512);
load("./libCLASSPVOC.so")
rtinput("loocher441.snd");

CLASSPVOC(start=0,
	nputskip=0,
	inputread=DUR(0),
	amp=0.5,
	inputchan=0,
	fft=1024,
	window=2*fft,
	readin=512,
	putout=readin,
	pmult=1.0,
	npoles=0,
	thres=0.1)
